Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## pacemaker
Class Species

    java.lang.Object
      pacemaker.Species

    public class Species

extends java.lang.Object

Holds data from real species of fireflies, as found in literature.

Values of period, pulse, ecc are collected in a static field "`data`" for immediate use by other classes.

Field Summary
`static int` | `B`
`static java.lang.String[][]` | `data` Real Data from firefly species.
`static int` | `EPSILON`
`static int` | `INERT`
`static int` | `MAX`
`static int` | `MIN`
`static int` | `MODEL`
`static int` | `NAME` Next static Strings explicits the corripondence between
`static int` | `PERIOD`
`static int` | `PREP`
`static int` | `PULSE_DURATION`
`static int` | `RELAXATION`

Constructor Summary
`Species()`

Method Summary
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### data

    public static final java.lang.String[][] data

  Real Data from firefly species.

  Legend: SPECIES_NAME, period, pulse_duration, prep, inert, model, b, epsilon, max_period, min_period, relaxation

  Times are in millisecs.

  `null` is used when a certain value in unknown.

### NAME

    public static int NAME

  Next static Strings explicits the corripondence between

  column name == array index

  for the previous `data` table.

### PERIOD

    public static int PERIOD

### PULSE_DURATION

    public static int PULSE_DURATION

### PREP

    public static int PREP

### INERT

    public static int INERT

### MODEL

    public static int MODEL

### B

    public static int B

### EPSILON

    public static int EPSILON

### MAX

    public static int MAX

### MIN

    public static int MIN

### RELAXATION

    public static int RELAXATION

Constructor Detail

### Species

    public Species()

Method Detail

### main

    public static void main(java.lang.String[] args)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD